/**
 * SQL-DK
 * Copyright © 2014 František Kučera (frantovo.cz)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package info.globalcode.sql.dk.batch;

import info.globalcode.sql.dk.DKException;

/**
 *
 * @author Ing. František Kučera (frantovo.cz)
 */
public class BatchException extends DKException {

	public BatchException() {
	}

	public BatchException(String message) {
		super(message);
	}

	public BatchException(Throwable cause) {
		super(cause);
	}

	public BatchException(String message, Throwable cause) {
		super(message, cause);
	}
}
