/**
 * SQL-DK
 * Copyright © 2014 František Kučera (frantovo.cz)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package info.globalcode.jdbc.loopback;

import java.sql.SQLException;

/**
 *
 * @author Ing. František Kučera (frantovo.cz)
 */
public abstract class AbstractResultSetMetaData implements java.sql.ResultSetMetaData {

	@Override
	public int getColumnCount() throws SQLException {
		throw new SQLException("Not supported yet.");
	}

	@Override
	public boolean isAutoIncrement(int column) throws SQLException {
		throw new SQLException("Not supported yet.");
	}

	@Override
	public boolean isCaseSensitive(int column) throws SQLException {
		throw new SQLException("Not supported yet.");
	}

	@Override
	public boolean isSearchable(int column) throws SQLException {
		throw new SQLException("Not supported yet.");
	}

	@Override
	public boolean isCurrency(int column) throws SQLException {
		throw new SQLException("Not supported yet.");
	}

	@Override
	public int isNullable(int column) throws SQLException {
		throw new SQLException("Not supported yet.");
	}

	@Override
	public boolean isSigned(int column) throws SQLException {
		throw new SQLException("Not supported yet.");
	}

	@Override
	public int getColumnDisplaySize(int column) throws SQLException {
		throw new SQLException("Not supported yet.");
	}

	@Override
	public String getColumnLabel(int column) throws SQLException {
		throw new SQLException("Not supported yet.");
	}

	@Override
	public String getColumnName(int column) throws SQLException {
		throw new SQLException("Not supported yet.");
	}

	@Override
	public String getSchemaName(int column) throws SQLException {
		throw new SQLException("Not supported yet.");
	}

	@Override
	public int getPrecision(int column) throws SQLException {
		throw new SQLException("Not supported yet.");
	}

	@Override
	public int getScale(int column) throws SQLException {
		throw new SQLException("Not supported yet.");
	}

	@Override
	public String getTableName(int column) throws SQLException {
		throw new SQLException("Not supported yet.");
	}

	@Override
	public String getCatalogName(int column) throws SQLException {
		throw new SQLException("Not supported yet.");
	}

	@Override
	public int getColumnType(int column) throws SQLException {
		throw new SQLException("Not supported yet.");
	}

	@Override
	public String getColumnTypeName(int column) throws SQLException {
		throw new SQLException("Not supported yet.");
	}

	@Override
	public boolean isReadOnly(int column) throws SQLException {
		throw new SQLException("Not supported yet.");
	}

	@Override
	public boolean isWritable(int column) throws SQLException {
		throw new SQLException("Not supported yet.");
	}

	@Override
	public boolean isDefinitelyWritable(int column) throws SQLException {
		throw new SQLException("Not supported yet.");
	}

	@Override
	public String getColumnClassName(int column) throws SQLException {
		throw new SQLException("Not supported yet.");
	}

	@Override
	public <T> T unwrap(Class<T> iface) throws SQLException {
		throw new SQLException("Not supported yet.");
	}

	@Override
	public boolean isWrapperFor(Class<?> iface) throws SQLException {
		throw new SQLException("Not supported yet.");
	}
}
