/**
 * SQL-DK
 * Copyright © 2014 František Kučera (frantovo.cz)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package info.globalcode.jdbc.loopback;

/**
 *
 * @author Ing. František Kučera (frantovo.cz)
 */
public class ObjectParameter {

	private final Object data;
	private final int targetSqlType;

	public ObjectParameter(Object data, int targetSqlType) {
		this.data = data;
		this.targetSqlType = targetSqlType;
	}

	public Object getData() {
		return data;
	}

	public int getTargetSqlType() {
		return targetSqlType;
	}
}
